Skip to main content
Returns a schema definition for provided schema name

Authorizations

Authorization
string
header
required

HTTP Basic authentication using global administrator credentials (username and password).

Path Parameters

connectionId
string
required
schemaName
string
required

Query Parameters

includePositionConfig
boolean
default:false
suppressWarnings
boolean
default:false

The response to this API endpoint may return a validation error with a list of problems. Each problem has a level (ERROR, WARNING). Passing suppressWarnings=true will suppress all warnings and the request will succeed if there are no errors

Response

200 - application/vnd.composer.v3+json

OK

Defines a connection schema payload

schemaName
string

Defines a schema name

collections
object[]

Defines list of collections

relations
object[]

Defines list of relations

positionConfiguration
object

Defines position configuration of collections in canvas